Bug 982539 - Cache passwords from external source for LdapExtLoginModule doesn't work with option {EXTC[:expiration_in_millis]}
Cache passwords from external source for LdapExtLoginModule doesn't work with...
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Security (Show other bugs)
6.1.0
Unspecified Unspecified
urgent Severity unspecified
: ER4
: EAP 6.1.1
Assigned To: Peter Skopek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-09 05:15 EDT by FIlip Bogyai
Modified: 2015-12-01 00:53 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-16 16:20:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker WFLY-1668 Major Resolved Cache passwords from external source for LdapExtLoginModule doesn't work with {EXTC} 2014-08-20 06:51:43 EDT

  None (edit)
Description FIlip Bogyai 2013-07-09 05:15:14 EDT
Mechanism to obtain passwords from external sources for login modules works only with option {EXT} - non-cached. New feature to cache passwords with command option {EXTC[:timeout]} - timeout is optional expiration in milliseconds, doesn't work. 

Problem is propably in LdapExtLoginModule method createLdapInitContext, that doesn't deal with commands that starts with option {EXTC[:timeout]}
Comment 4 Peter Skopek 2013-07-19 13:59:41 EDT
Tag for picketbox: https://svn.jboss.org/repos/picketbox/tags/4.0.17.SP1/
PR for EAP 6.1.1: https://github.com/jbossas/jboss-eap/pull/248

Note You need to log in before you can comment on or make changes to this bug.